-- Drop table

-- DROP TABLE public.script_drop_functions
---таблицу создаем один раз

CREATE TABLE script_drop_functions (
	drop_command text NOT NULL
)
WITH (
	OIDS=FALSE
) ;

--функция заполняет таблицу командами DROP для каждой функции с типом 'plpgsql' или 'sql' в схеме 'public'

CREATE OR REPLACE FUNCTION public.create_script_drop()
RETURNS INT
LANGUAGE plpgsql
AS $function$ 
begin
	truncate table script_drop_functions;
	insert into script_drop_functions 
	  SELECT --pronamespace,prolang, proname, proargtypes,
	  	' DROP FUNCTION IF EXISTS ' || oid::regprocedure || ' ;'
 		FROM pg_proc   
		WHERE prolang in (select oid from  pg_language where lanname in ('plpgsql','sql'))
				and
 			  pronamespace=(select oid from pg_namespace  where nspname='public');
 			 return 0;
end
 $function$
 ;
 
-- вызов функции для заполнения таблицы
 select public.create_script_drop(
);


