
CREATE SEQUENCE seq_logs_signin_detailed
  START WITH 1
  INCREMENT BY 1
  NO MINVALUE
  NO MAXVALUE
  CACHE 1;


CREATE TABLE logs_signin_detailed (
  id integer DEFAULT nextval('seq_logs_signin_detailed'::regclass) NOT NULL,
  accountid integer,
  globalkey character varying NOT NULL,
  isstudent integer,
  isstaff integer,
  error_message character varying,
  date timestamp(0) without time zone DEFAULT now() NOT NULL
);

CREATE INDEX key_logs_signin_detailed ON logs_signin_detailed USING btree (globalkey);

ALTER TABLE ONLY logs_signin_detailed
  ADD CONSTRAINT logs_signin_detailed_pkey PRIMARY KEY (id);

CREATE OR REPLACE FUNCTION public.log_sigindetailed(paccountid integer, pisstaff integer, pisstudent integer, pglobalkey character varying, pmessage character varying)
  RETURNS integer
LANGUAGE plpgsql
AS $function$
begin
  INSERT INTO logs_signin_detailed (AccountID, GlobalKey, IsStudent, IsStaff, error_message) VALUES (paccountid, pglobalkey, pisstudent, pisstaff, pmessage);
  RETURN 0;
END
$function$;
